package com.ruoyi.web.v3.controller;


import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckMeatQualifiedEntity;
import com.ruoyi.web.v3.model.request.HbCheckMeatQualifiedPageReq;
import com.ruoyi.web.v3.service.IHbCheckMeatQualifiedService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.Map;

/**
 * <p>
 * v3.0肉品品质检验登记 前端控制器
 * </p>
 *
 */
@RestController
@RequestMapping("/v3/hb-check-meat-qualified")
@Api("3.0肉品品质检验登记管理")
public class HbCheckMeatQualifiedController {

    @Resource
    private IHbCheckMeatQualifiedService checkMeatQualifiedService;

    @ApiOperation("肉品品质检验登记记录添加")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody HbCheckMeatQualifiedEntity request){
        return checkMeatQualifiedService.add(request);
    }

    @ApiOperation("肉品品质检验登记记录修改")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody HbCheckMeatQualifiedEntity request){
        return checkMeatQualifiedService.edit(request);
    }

    @ApiOperation("肉品品质检验登记记录删除")
    @PostMapping("/delete")
    public AjaxResult delete(@RequestBody Map<String, String> paramsMap) {
        String ids = paramsMap.get("ids");
        return checkMeatQualifiedService.delete(ids);
    }

    @ApiOperation("肉品品质检验登记记录分页查询")
    @GetMapping("/page")
    public AjaxResult page(@ModelAttribute HbCheckMeatQualifiedPageReq request) {
        return checkMeatQualifiedService.page(request);
    }


    @ApiOperation("肉品品质检验登记记录列表全量查询")
    @GetMapping("/list")
    public AjaxResult listAll(){
        return checkMeatQualifiedService.listAll();
    }

}
